<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="df03baea-9d65-4f95-b6c1-a13b3c3bafe6" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="Enum" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="C:\Program Files\JetBrains\IntelliJ IDEA 2020.1.2\plugins\maven\lib\maven3" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="1fxPDWAXTKr17MiMGzAUizolFWs" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.5689655" />
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn clean" />
    </option>
  </component>
  <component name="RunManager" selected="JUnit.All in exception">
    <configuration name="SexyTypeException" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="br.com.exception.SexyTypeException" />
      <module name="exception" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="br.com.exception.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="All in exception" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="exception" />
      <option name="PACKAGE_NAME" value="" />
      <option name="TEST_OBJECT" value="package" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SexyTypeExceptionTest.givenGenericServiceToDeclareSexyType_whenPassInvalidSexy_thenThrowInvalidSexyTypeException" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="exception" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SexyTypeExceptionTest" />
      <option name="METHOD_NAME" value="givenGenericServiceToDeclareSexyType_whenPassInvalidSexy_thenThrowInvalidSexyTypeException" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SexyTypeExceptionTest.givenGenericServiceToDeclareSexyType_whenPassValidSexyFemale_thenReturnFemale" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="exception" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SexyTypeExceptionTest" />
      <option name="METHOD_NAME" value="givenGenericServiceToDeclareSexyType_whenPassValidSexyFemale_thenReturnFemale" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SexyTypeExceptionTest.givenGenericServiceToDeclareSexyType_whenPassValidSexyMale_thenReturnMale" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="exception" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SexyTypeExceptionTest" />
      <option name="METHOD_NAME" value="givenGenericServiceToDeclareSexyType_whenPassValidSexyMale_thenReturnMale" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.All in exception" />
        <item itemvalue="JUnit.SexyTypeExceptionTest.givenGenericServiceToDeclareSexyType_whenPassInvalidSexy_thenThrowInvalidSexyTypeException" />
        <item itemvalue="JUnit.SexyTypeExceptionTest.givenGenericServiceToDeclareSexyType_whenPassValidSexyMale_thenReturnMale" />
        <item itemvalue="JUnit.SexyTypeExceptionTest.givenGenericServiceToDeclareSexyType_whenPassValidSexyFemale_thenReturnFemale" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="df03baea-9d65-4f95-b6c1-a13b3c3bafe6" name="Default Changelist" comment="" />
      <created>1597156652985</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1597156652985</updated>
      <workItem from="1597156654044" duration="8754000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="WindowStateProjectService">
    <state x="184" y="0" key="#Project_Structure" timestamp="1597160282855">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="184" y="0" key="#Project_Structure/0.0.1366.728@0.0.1366.728" timestamp="1597160282855" />
    <state x="325" y="87" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1597160939721">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="325" y="87" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/0.0.1366.728@0.0.1366.728" timestamp="1597160939721" />
    <state x="434" y="111" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1597180289548">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="434" y="111" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1366.728@0.0.1366.728" timestamp="1597180289548" />
    <state width="1278" height="284" key="GridCell.Tab.0.bottom" timestamp="1597189833025">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1278" height="284" key="GridCell.Tab.0.bottom/0.0.1366.728@0.0.1366.728" timestamp="1597189833025" />
    <state width="1278" height="284" key="GridCell.Tab.0.center" timestamp="1597189833025">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1278" height="284" key="GridCell.Tab.0.center/0.0.1366.728@0.0.1366.728" timestamp="1597189833025" />
    <state width="1278" height="284" key="GridCell.Tab.0.left" timestamp="1597189833025">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1278" height="284" key="GridCell.Tab.0.left/0.0.1366.728@0.0.1366.728" timestamp="1597189833025" />
    <state width="1278" height="284" key="GridCell.Tab.0.right" timestamp="1597189833025">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1278" height="284" key="GridCell.Tab.0.right/0.0.1366.728@0.0.1366.728" timestamp="1597189833025" />
    <state x="360" y="164" width="672" height="677" key="run.anything.popup" timestamp="1597160155043">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="360" y="164" width="672" height="677" key="run.anything.popup/0.0.1366.728@0.0.1366.728" timestamp="1597160155043" />
    <state x="367" y="49" width="672" height="678" key="search.everywhere.popup" timestamp="1597162682058">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="367" y="49" width="672" height="678" key="search.everywhere.popup/0.0.1366.728@0.0.1366.728" timestamp="1597162682058" />
  </component>
</project>